##### 7.5.14.0. simplifyRat

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  simplifyRat(v); v vector

Assume:
  Assume that v has exactly two components, second one not 0.

Return:
  vector, representing simplified rational function v[1]/v[2]

Note:
  Possibly present non-commutative relations of the basering are ignored.

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y),dp;
    vector v = [x2-1,x+1];
    simplifyRat(v);
    ==> x*gen(1)+gen(2)-gen(1)
    simplifyRat(v) - [x-1,1];
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.